Feed updates
Commodities.BLDU6/USDremovedCommodities.BRENTU6/USDremovedCommodities.TGEQ6/EURremovedEquity.Index.KR200/KRWwent liveCrypto.NAV.USDM/RESERVESwent liveCrypto.NAV.ONYC/USDwent liveMetal.OGQ6/USDremovedCommodities.NGDQ6/USDremovedCommodities.PTN6/USDremovedCommodities.CCN6/USDremovedEquity.US.YUMC/USDwent liveEquity.US.WWD/USDwent liveEquity.US.WTRG/USDwent liveEquity.US.WSO/USDwent live
View all
Developer Hub
EntropyFortuna

Reveal the random value for a given sequence number and blockchain.

Reveal the random value for a given sequence number and blockchain. Given a sequence number, retrieve the corresponding random value that this provider has committed to. This endpoint will not return the random value unless someone has requested the sequence number on-chain. Every blockchain supported by this service has a distinct sequence of random numbers and chain_id. Callers must pass the appropriate chain_id to ensure they fetch the correct random number.

GET
/v1/chains/{chain_id}/revelations/{sequence}

Path Parameters

chain_id*string
sequence*integer
Formatint64
Range0 <= value

Query Parameters

encoding?string
Value in"hex" | "base64" | "array"
block_number?integer|null
Formatint64
Range0 <= value

Response Body

application/json

text/plain

curl -X GET "https://fortuna.dourolabs.app/v1/chains/string/revelations/0"
{
  "value": {
    "data": "string",
    "encoding": "hex"
  }
}
"string"